/*We can use CPP tricks to avoid parsing the same header file more than once*/
#ifndef PQCONFO_H
# define PQCONFO_H

/*structure for Postgresql connection information*/
struct pq_confo
{
  char db[23];
  char host[23];
  int port;
  char secret[42];
  char user[23];
};

/*get Postgresql connection information*/
int get_pq_confo(const char * file,const struct pq_confo ** confo);

/*free Postgresql connection information*/
int free_pq_confo(const struct pq_confo ** confo);

#endif /* PQCONFO_H */
