# rgncycle-libulfius

libulfius API for rgncycle

## preparation

```
sudo apt install make --no-install-recommends
sudo apt install build-essential --no-install-recommends
sudo apt install libulfius-dev --no-install-recommends
sudo apt install libconfig-dev --no-install-recommends
```

## test API

* create
```
curl --data "name=Hi from curl!" http://<host>:<port>/entities/create
curl -X POST --data "name=Hi from curl!" http://<host>:<port>/entities/create
```

* read all
```
curl -X GET http://<host>:<port>/entities/info
```

* read single
```
curl http://<host>:<port>/entities/35/info
```

* update
```
curl --data "name=Hi from curl!" http://<host>:<port>/entities/1/update
curl -X POST --data "name=Update!" http://<host>:<port>/entities/1/update
```

* delete
```
curl -X DELETE http://localhost:<port>/entities/1/delete
```
